// Kubejs-es for blood

ServerEvents.recipes(event => {

// Replace starter blood orb material
event.remove({output: 'bloodmagic:weakbloodorb'})
event.recipes.bloodmagic.altar('bloodmagic:weakbloodorb', 'minecraft:iron_block').upgradeLevel(0).altarSyphon(2000).consumptionRate(5).drainRate(1)

// Alt processing chains for demonite and hellforged parts
event.recipes.bloodmagic.soulforge('3x bloodmagic:demonitefragment', 'bloodmagic:ingot_hellforged', 'bloodmagic:defaultcrystal', 'bloodmagic:rawcatalyst', 'bloodmagic:simplecatalyst').minimumDrain(1024).drain(256)

event.recipes.bloodmagic.alchemytable('2x bloodmagic:hellforgedparts', ['bloodmagic:ingot_hellforged', 'bloodmagic:ingot_hellforged', 'bloodmagic:hellforgedparts', 'bloodmagic:resonator', 'bloodmagic:noderouter', 'bloodmagic:daggerofsacrifice']).syphon(20000).ticks(200).upgradeLevel(4)

// Alt tau-fruit enriching
event.recipes.bloodmagic.altar('bloodmagic:strong_tau', 'bloodmagic:weak_tau').upgradeLevel(4).altarSyphon(5000).consumptionRate(20).drainRate(20)

// Viscera Juicer recipe
event.recipes.bloodmagic.alchemytable('mbd2:blood_box', ['bloodmagic:divinationsigil', 'bloodmagic:daggerofsacrifice', 'bloodmagic:tauoil', 'bloodmagic:incensealtar', 'bloodmagic:sacrificerune', 'thermal:fluid_cell']).syphon(10000).ticks(200).upgradeLevel(2)

// Heart recipes
event.recipes.bloodmagic.alchemytable('kubejs:monster_heart', ['bloodmagic:reinforcedslate', 'malum:living_flesh', 'minecraft:bone', 'minecraft:gunpowder', 'minecraft:ender_pearl', 'minecraft:fermented_spider_eye']).syphon(20000).ticks(200).upgradeLevel(2)

event.recipes.bloodmagic.soulforge('kubejs:blazing_heart', 'kubejs:monster_heart', 'minecraft:nether_star', '#kubejs:red_matter', 'botania:blaze_block').minimumDrain(1024).drain(1024)

event.recipes.extendedcrafting.combination("kubejs:otherworldly_heart", 'kubejs:blazing_heart',
['kubejs:prismatter', 'minecraft:dragon_egg','minecraft:end_crystal','minecraft:echo_shard', 'bloodmagic:hellforgedparts'], 20000000).powerRate(50000);

})